OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKSTEPAttr
StepVisual

# StepVisual_PointStyle Class Reference

`#include <StepVisual_PointStyle.hxx>`

## Public Member Functions
Standard_EXPORT | StepVisual_PointStyle ()
| Returns a PointStyle .
virtual Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aName, const StepVisual_MarkerSelect &aMarker, const StepBasic_SizeSelect &aMarkerSize, const Handle(StepVisual_Colour)&aMarkerColour)
Standard_EXPORT void | SetName (const Handle(TCollection_HAsciiString)&aName)
Standard_EXPORT Handle_TCollection_HAsciiString | Name () const
Standard_EXPORT void | SetMarker (const StepVisual_MarkerSelect &aMarker)
Standard_EXPORT StepVisual_MarkerSelect | Marker () const
Standard_EXPORT void | SetMarkerSize (const StepBasic_SizeSelect &aMarkerSize)
Standard_EXPORT StepBasic_SizeSelect | MarkerSize () const
Standard_EXPORT void | SetMarkerColour (const Handle(StepVisual_Colour)&aMarkerColour)
Standard_EXPORT Handle_StepVisual_Colour | MarkerColour () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Handle_TCollection_HAsciiString | name
StepVisual_MarkerSelect | marker
StepBasic_SizeSelect | markerSize
Handle_StepVisual_Colour | markerColour

## Constructor & Destructor Documentation

Standard_EXPORT StepVisual_PointStyle::StepVisual_PointStyle | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const StepVisual_PointStyle::Handle | ( | Standard_Type |  | ) | const

virtual Standard_EXPORT void StepVisual_PointStyle::Init | ( | const Handle(TCollection_HAsciiString)& | aName,
|  | const StepVisual_MarkerSelect & | aMarker,
|  | const StepBasic_SizeSelect & | aMarkerSize,
|  | const Handle(StepVisual_Colour)& | aMarkerColour
| ) | `[virtual]`

Standard_EXPORT StepVisual_MarkerSelect StepVisual_PointStyle::Marker | ( |  | ) | const

Standard_EXPORT Handle_StepVisual_Colour StepVisual_PointStyle::MarkerColour | ( |  | ) | const

Standard_EXPORT StepBasic_SizeSelect StepVisual_PointStyle::MarkerSize | ( |  | ) | const

Standard_EXPORT Handle_TCollection_HAsciiString StepVisual_PointStyle::Name | ( |  | ) | const

Standard_EXPORT void StepVisual_PointStyle::SetMarker | ( | const StepVisual_MarkerSelect & | aMarker | ) |

Standard_EXPORT void StepVisual_PointStyle::SetMarkerColour | ( | const Handle(StepVisual_Colour)& | aMarkerColour | ) |

Standard_EXPORT void StepVisual_PointStyle::SetMarkerSize | ( | const StepBasic_SizeSelect & | aMarkerSize | ) |

Standard_EXPORT void StepVisual_PointStyle::SetName | ( | const Handle(TCollection_HAsciiString)& | aName | ) |

## Field Documentation

StepVisual_MarkerSelect StepVisual_PointStyle::marker`[private]`

Handle_StepVisual_Colour StepVisual_PointStyle::markerColour`[private]`

StepBasic_SizeSelect StepVisual_PointStyle::markerSize`[private]`

Handle_TCollection_HAsciiString StepVisual_PointStyle::name`[private]`

The documentation for this class was generated from the following file:

- StepVisual_PointStyle.hxx